Apr 182018
 

NGINX has been updated in multiple places.


Ubuntu Bionic 18.04

Ubuntu Bionic 18.04 now has 1.14.0 in the repositories, and very likely will have 1.14.0 for the lifecycle of 18.04 from April of 2018 through April of 2023, as soon as it is released.


NGINX PPAs: Mainline and Stable

There are two major things to note:

First: Ubuntu Trusty 14.04 is no longer supported in the PPAs, and will not receive the updated NGINX versions. This is due to the older versions of libraries in the 14.04 release, which are too old to compile the third-party modules which are included from the Debian packages. Individuals using 14.04 should strongly consider using the nginx.org repositories instead, for newer releases, as they don’t need any libraries which the PPA versions of the packages need.

Secondly: With the exception of Ubuntu Trusty 14.04, the NGINX PPAs are in the process of being updated with NGINX Stable 1.14.0 and NGINX Mainline 1.13.12. Please note that 1.14.0 is equal to 1.13.12 in terms of features, and you should probably use NGINX 1.14.0 instead of 1.13.12 for now. NGINX Mainline will be updated to 1.15.x when NGINX has a ‘new’ Mainline release that is ahead of NGINX Stable.

Sorry, the comment form is closed at this time.